clearvars -except delete tf_data1 etypes1 directories1

% Initializing variables
c = [230 25 75; 60 180 75; 255 210 25; 0 130 200; 245 130 48; 145 30 180; 70 240 240; 240 50 230; 128 0 0; 0 0 128]./255;
deltaT = zeros(length(directories1), 1);
tau = zeros(length(directories1), 1);
EL = zeros(length(directories1), 1);
VT = zeros(length(directories1), 1);
C = zeros(length(directories1), 1);

for i = 1:length(directories1) % Loop over all the cells
    
    % Collecting all the parameters that are of interest in this script
    cd([directories1(i).folder '/' directories1(i).name]);
    load([pwd '/tf/dynFit.mat']); 
    deltaT(i) = dynFit.deltaT;
    tau(i) = dynFit.tau;
    EL(i) = dynFit.EL;
    VT(i) = dynFit.VT;
    C(i) = dynFit.capacitance;
    
end

% Plotting the data    
figure(3)
hold on
scatter(deltaT(:,1), tf_data1(:,1), 50, c(etypes1,:), 'filled')
xlabel('{\Delta}_{T} [mV]');
ylabel('Cutoff frequency [Hz]');

h(1) = scatter(NaN, NaN, 1, c(1,:), 'filled');
h(2) = scatter(NaN, NaN, 1, c(2,:), 'filled');
h(3) = scatter(NaN, NaN, 1, c(3,:), 'filled');
h(4) = scatter(NaN, NaN, 1, c(4,:), 'filled');
h(5) = scatter(NaN, NaN, 1, c(5,:), 'filled');

[caca, hObj] = legend([h(1), h(2), h(3), h(4), h(5)], 'cAC' ,'cNAC', 'bNAC', 'cSTUT', 'cIR', 'fontsize', 14, 'linewidth', 1, 'location', 'northeast');
        
for i = 1:5
    
    fig = figure(1);
    box off
   
    h = histfit(deltaT(etypes1 == i,1), 10, 'kernel');
    x = h(2).XData;
    y = h(2).YData;
    h(2).Color = c(i,:);
    h(1).FaceColor = c(i,:);

    close(fig)
    
    figure(2)
    subplot(3, 1, 1:2)
    hold on
    plot(x, y, 'color', c(i,:), 'linewidth', 3);
    
end